<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Elements_Axis_Y.php 110 2009-06-16 10:37:28Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

require_once PATH_OFC.'/Elements/OFC_Elements_Axis.php';

/**
 * @package		OpenFlashCharts
 */
class OFC_Elements_Axis_Y extends OFC_Elements_Axis
{
	public function set_grid_colour($colour)
	{
		$this->{'grid-colour'} = $colour;
	}

	public function set_stroke($s)
	{
		$this->stroke = $s;
	}

	public function set_tick_length($val)
	{
		$this->{'tick-length'} = $val;
	}

	public function set_range($min, $max, $steps=1)
	{
		$this->min = $min;
		$this->max = $max;
		$this->set_steps($steps);
	}

	public function set_offset($off)
	{
		$this->offset = ($off) ? 1 : 0;
	}

	public function set_labels($labels)
	{
		$this->labels = $labels;
	}
}
